package com.saye.hrs.service;

import java.util.HashMap;
import java.util.List;

/**
 * @description: 黑名单业务接口
 * @author: Mr.zs
 * @create: 2024-04-12 13:46
 **/
public interface BlackListService {


    void addBlackList(HashMap<Object, Object> map);

    Integer fetchCountByCardNo(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findAllBlackList(HashMap<Object, Object> searchMap);

    void modifyBlackList(HashMap<Object, Object> map);

    void delBlackList(HashMap<Object, Object> map);
}
